Bug 608689 - The documentation for the clock applet preferences doesn't match the clock applet
The documentation for the clock applet preferences doesn't match the clock ap...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gnome-panel (Show other bugs)
6.0
All Linux
low Severity low
: rc
: ---
Assigned To: Ray Strode [halfline]
desktop-bugs@redhat.com
:
Depends On: 498995
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-28 09:41 EDT by Marc Milgram
Modified: 2011-01-20 11:30 EST (History)
6 users (show)

See Also:
Fixed In Version: gnome-panel-2.30.2-5.el6.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 498995
Environment:
Last Closed: 2011-01-11 12:40:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Milgram 2010-06-28 09:41:43 EDT
+++ This bug was initially created as a clone of Bug #498995 +++

Description of problem:
The clock applet preferences documentation is out of date.  It doesn't show some options, and lists some that are not in the applet.

Version-Release number of selected component (if applicable):
gnome-applets-2.26.1-3.fc11.x86_64


How reproducible:
Every time

Steps to Reproduce:
1. Right click on time (in right side of top gnome panel)
2. Select "Preferences"
3. In Clock Preferences Window, click on "Help"
  
Actual results:
Documentation mentions "Clock type", which is not displayed in Clock preferences.  It lists "Unix time" and "internet time", neither of which are displayed in the preferences.  Documentation lists "Use UTC" which is not in the preferences.  Preferences lists "Show temperature", and has Locations and Weather tabs - which are not in the documentation.

Expected results:
Documentation matches reality.

Additional info:

--- Additional comment from mclasen@redhat.com on 2009-05-05 14:27:11 EDT ---

Filed upstream: http://bugzilla.gnome.org/show_bug.cgi?id=581505

--- Additional comment from pcutler@gnome.org on 2010-01-25 14:55:22 EST ---

This is now fixed upstream in GNOME's git master:  http://git.gnome.org/browse/gnome-panel/commit/?id=5cc71a370ae0f85991b9eb3d73744a1698e511ee

--- Additional comment from pcutler@gnome.org on 2010-04-29 23:12:47 EDT ---

This bug was fixed upstream and should be available in the Fedora 13 release
Comment 1 RHEL Product and Program Management 2010-06-28 09:42:53 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 Marc Milgram 2010-10-22 11:46:43 EDT
This works as expected in gnome-applets-2.28.0-7.el6.x86_64.
Comment 9 Chris Ward 2011-01-11 08:04:50 EST
Was this fixed at RHEL 6 GA?
Comment 10 Ray Strode [halfline] 2011-01-11 09:40:59 EST
I believe so.  We did a general rebase of gnome-panel during the development cycle and I believe that rebase caused this problem to get implicitly fixed.

Note You need to log in before you can comment on or make changes to this bug.